diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeHomotypicGroupOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeHomotypicGroupOperation.java
index 28d6f9ea8..5debb1a81 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeHomotypicGroupOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeHomotypicGroupOperation.java
@@ -69,7 +69,6 @@ public class ChangeHomotypicGroupOperation extends AbstractPostTaxonOperation {
 		this.newHomotypicalGroup = newHomotypicalGroup != null ? newHomotypicalGroup : HomotypicalGroup.NewInstance();
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -85,13 +84,13 @@ public class ChangeHomotypicGroupOperation extends AbstractPostTaxonOperation {
 		monitor.worked(40);
 		newHomotypicalGroup = HibernateProxyHelper.deproxy(newHomotypicalGroup, HomotypicalGroup.class);
 		newHomotypicalGroup.addTypifiedName(synonymName);
-		
+
 		Taxon acc = synonym.getAcceptedTaxon();
 		if(acc == null || !acc.equals(element)){
 			if(acc != null){
 				acc.removeSynonym(synonym);
 			}
-			
+
 			SynonymType type = SynonymType.HETEROTYPIC_SYNONYM_OF();
 			if(newHomotypicalGroup.getTypifiedNames().contains(element.getName())){
 				type = SynonymType.HOMOTYPIC_SYNONYM_OF();
@@ -104,14 +103,12 @@ public class ChangeHomotypicGroupOperation extends AbstractPostTaxonOperation {
 		return postExecute(synonym);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeHomotypicalGroupBasionymOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeHomotypicalGroupBasionymOperation.java
index 210732323..650d7bc2d 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeHomotypicalGroupBasionymOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeHomotypicalGroupBasionymOperation.java
@@ -33,8 +33,8 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
  */
 public class ChangeHomotypicalGroupBasionymOperation extends
 		AbstractPostTaxonOperation {
-	
-	private final TaxonBase taxonBase;
+
+	private final TaxonBase<?> taxonBase;
 
 	/**
 	 * <p>Constructor for ChangeHomotypicalGroupBasionymOperation.</p>
@@ -52,7 +52,6 @@ public class ChangeHomotypicalGroupBasionymOperation extends
 		this.taxonBase = taxonBase;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -71,7 +70,7 @@ public class ChangeHomotypicalGroupBasionymOperation extends
 		if (oldBasionym != null){
 			Set<TaxonBase> taxonBases = oldBasionym.getTaxonBases();
 			if (!taxonBases.isEmpty()){
-				TaxonBase oldBasionymTaxonBase = taxonBases.iterator().next();
+				TaxonBase<?> oldBasionymTaxonBase = taxonBases.iterator().next();
 				postExecute(oldBasionymTaxonBase);
 			}
 		}
@@ -79,14 +78,12 @@ public class ChangeHomotypicalGroupBasionymOperation extends
 		return postExecute(taxonBase);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToConceptOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToConceptOperation.java
index 884a67d8b..3e23a498a 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToConceptOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToConceptOperation.java
@@ -30,7 +30,6 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  * @author p.ciardelli
  * @author n.hoffmann
  * @created 21.01.2009
- * @version 1.0
  */
 public class ChangeSynonymToConceptOperation extends AbstractPostTaxonOperation {
 	private final Synonym synonym;
@@ -55,10 +54,6 @@ public class ChangeSynonymToConceptOperation extends AbstractPostTaxonOperation
 
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#execute(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -86,20 +81,12 @@ public class ChangeSynonymToConceptOperation extends AbstractPostTaxonOperation
 		return postExecute(fromTaxon);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#redo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return null;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#undo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToHomotypicalGroupBasionymOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToHomotypicalGroupBasionymOperation.java
index a080f4da5..64cd9d6d1 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToHomotypicalGroupBasionymOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToHomotypicalGroupBasionymOperation.java
@@ -24,7 +24,6 @@ import eu.etaxonomy.taxeditor.operation.AbstractPostTaxonOperation;
  *
  * @author p.ciardelli
  * @created 14.01.2009
- * @version 1.0
  * @deprecated there will be an operation to set the basionym only that automatically unsets the former basionym
  */
 @Deprecated
@@ -47,10 +46,6 @@ public class ChangeSynonymToHomotypicalGroupBasionymOperation extends AbstractPo
 		this.synonym = synonym;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#execute(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -73,20 +68,12 @@ public class ChangeSynonymToHomotypicalGroupBasionymOperation extends AbstractPo
 		return postExecute(synonym);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#redo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#undo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToMisapplicationOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToMisapplicationOperation.java
index c459cc97a..c3841cd9b 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToMisapplicationOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeSynonymToMisapplicationOperation.java
@@ -32,7 +32,6 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  * @author p.ciardelli
  * @author n.hoffmann
  * @created 14.01.2009
- * @version 1.0
  */
 public class ChangeSynonymToMisapplicationOperation extends AbstractPostTaxonOperation {
 
@@ -56,7 +55,6 @@ public class ChangeSynonymToMisapplicationOperation extends AbstractPostTaxonOpe
 		this.synonym = synonym;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -91,7 +89,6 @@ public class ChangeSynonymToMisapplicationOperation extends AbstractPostTaxonOpe
 		return postExecute(misapplication);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -106,7 +103,6 @@ public class ChangeSynonymToMisapplicationOperation extends AbstractPostTaxonOpe
 		return postExecute(misapplication);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/CreateSynonymInExistingHomotypicalGroupOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/CreateSynonymInExistingHomotypicalGroupOperation.java
index d9f0cbf56..5c09f4797 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/CreateSynonymInExistingHomotypicalGroupOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/CreateSynonymInExistingHomotypicalGroupOperation.java
@@ -54,7 +54,6 @@ public class CreateSynonymInExistingHomotypicalGroupOperation extends
 		this.newSynonymName = newSynonymName;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -96,14 +95,12 @@ public class CreateSynonymInExistingHomotypicalGroupOperation extends
 		return postExecute(synonym);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/CreateSynonymInNewGroupOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/CreateSynonymInNewGroupOperation.java
index 7a0bb9d55..71049fa7d 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/CreateSynonymInNewGroupOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/CreateSynonymInNewGroupOperation.java
@@ -55,7 +55,6 @@ public class CreateSynonymInNewGroupOperation extends CreateNewTaxonBaseOperatio
 		this.newSynonymName = newSynonymName;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -79,16 +78,12 @@ public class CreateSynonymInNewGroupOperation extends CreateNewTaxonBaseOperatio
 		return postExecute(newSynonym);
 	}
 
-
-
-    /** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/DeleteMisapplicationOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/DeleteMisapplicationOperation.java
index 65b71fad5..942abb459 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/DeleteMisapplicationOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/DeleteMisapplicationOperation.java
@@ -58,10 +58,6 @@ public class DeleteMisapplicationOperation extends DeleteTaxonBaseOperation {
 		this.element = taxon;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#execute(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -91,21 +87,18 @@ public class DeleteMisapplicationOperation extends DeleteTaxonBaseOperation {
 		return postExecute(null);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 
 		element.addMisappliedName(misapplication, citation, microcitation);
 
-
 		return postExecute(misapplication);
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/DeleteSynonymOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/DeleteSynonymOperation.java
index 5c534923c..662820d04 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/DeleteSynonymOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/DeleteSynonymOperation.java
@@ -56,7 +56,6 @@ public class DeleteSynonymOperation extends DeleteTaxonBaseOperation {
 		this.element = taxon;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -84,14 +83,12 @@ public class DeleteSynonymOperation extends DeleteTaxonBaseOperation {
 //		return postExecute(element);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -103,17 +100,11 @@ public class DeleteSynonymOperation extends DeleteTaxonBaseOperation {
 		return postExecute(synonym);
 	}
 
-    /**
-     * @return the result
-     */
     @Override
     public DeleteResult getResult() {
         return result;
     }
 
-    /**
-     * @param result the result to set
-     */
     public void setResult(DeleteResult result) {
         this.result = result;
     }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/SwapSynonymAndAcceptedOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/SwapSynonymAndAcceptedOperation.java
index e5224a767..46a08b033 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/SwapSynonymAndAcceptedOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/SwapSynonymAndAcceptedOperation.java
@@ -24,12 +24,12 @@ import eu.etaxonomy.cdm.model.taxon.Synonym;
 import eu.etaxonomy.cdm.model.taxon.SynonymType;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
+import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.MessagingUtils;
 import eu.etaxonomy.taxeditor.operation.AbstractPostTaxonOperation;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 import eu.etaxonomy.taxeditor.session.ICdmEntitySessionEnabled;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 
 /**
  * <p>SwapSynonymAndAcceptedOperation class.</p>
@@ -62,12 +62,10 @@ public class SwapSynonymAndAcceptedOperation extends AbstractPostTaxonOperation
 		super(Messages.SwapSynonymAndAcceptedOperation_SWAP_SYN_ACC_TAXON, undoContext, taxon, postOperationEnabled, cdmEntitySessionEnabled);
 		this.setNameInSource = setNameInSource;
 		this.synonym = synonym;
-		this.nodes = new ArrayList(taxon.getTaxonNodes());
-
+		this.nodes = new ArrayList<TaxonNode>(taxon.getTaxonNodes());
 
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -84,7 +82,6 @@ public class SwapSynonymAndAcceptedOperation extends AbstractPostTaxonOperation
 		return postExecute(element);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -92,7 +89,6 @@ public class SwapSynonymAndAcceptedOperation extends AbstractPostTaxonOperation
 		return execute(monitor, info);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/ChecklistContentProvider.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/ChecklistContentProvider.java
index 0e03f1a11..3dfb5a50a 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/ChecklistContentProvider.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/ChecklistContentProvider.java
@@ -15,15 +15,11 @@ import org.eclipse.jface.viewers.IStructuredContentProvider;
 import org.eclipse.jface.viewers.Viewer;
 
 /**
- *
  * @author a.oppermann
  * @created 30.04.2014
- * @version 1.0
  */
 public class ChecklistContentProvider implements IStructuredContentProvider {
-	/* (non-Javadoc)
-	 * @see org.eclipse.jface.viewers.IContentProvider#dispose()
-	 */
+
 	/**
 	 * <p>dispose</p>
 	 */
@@ -32,20 +28,11 @@ public class ChecklistContentProvider implements IStructuredContentProvider {
 
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.jface.viewers.IContentProvider#inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
 
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.jface.viewers.IStructuredContentProvider#getElements(java.lang.Object)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public Object[] getElements(Object inputElement) {
 		if(inputElement instanceof List){
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/e4/CreateConceptRelationMenuE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/e4/CreateConceptRelationMenuE4.java
index 67be32dcd..b26765ffd 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/e4/CreateConceptRelationMenuE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/e4/CreateConceptRelationMenuE4.java
@@ -23,16 +23,13 @@ import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
- *
  * @author pplitzner
  * @date 21.08.2017
- *
  */
 public class CreateConceptRelationMenuE4 {
 
     public String commandName = "eu.etaxonomy.taxeditor.editor.name.createConceptRelation"; //$NON-NLS-1$
 
-    /** {@inheritDoc} */
     @AboutToShow
     public void aboutToShow(List<MMenuElement> items) {
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/operation/CreateConceptRelationOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/operation/CreateConceptRelationOperation.java
index ee04b763b..3e88e40a0 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/operation/CreateConceptRelationOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/operation/CreateConceptRelationOperation.java
@@ -27,7 +27,6 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
  * @author p.ciardelli
  * @author n.hoffmann
  * @created 26.01.2009
- * @version 1.0
  */
 public class CreateConceptRelationOperation extends CreateNewTaxonBaseOperation {
 
@@ -58,10 +57,6 @@ public class CreateConceptRelationOperation extends CreateNewTaxonBaseOperation
 		this(label, undoContext, taxon, concept, new TaxonRelationshipTypeInverseContainer(taxonRelationshipType, false), postOperationEnabled);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#execute(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -80,20 +75,12 @@ public class CreateConceptRelationOperation extends CreateNewTaxonBaseOperation
 		return postExecute(concept);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#redo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#undo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/operation/DeleteConceptRelationOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/operation/DeleteConceptRelationOperation.java
index 9f71fae56..f8e07b56c 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/operation/DeleteConceptRelationOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/concept/operation/DeleteConceptRelationOperation.java
@@ -28,19 +28,11 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
  * @author p.ciardelli
  * @author n.hoffmann
  * @created 29.01.2009
- * @version 1.0
  */
 public class DeleteConceptRelationOperation extends AbstractPostTaxonOperation {
 
 	private final Set<TaxonRelationship> taxonRelationships;
 
-
-	/**
-	 * @param name
-	 * @param undoContext
-	 * @param relation
-	 * @param postOperationEnabled
-	 */
 	public DeleteConceptRelationOperation(String label,
 			IUndoContext undoContext, Taxon taxon, Set<TaxonRelationship> relations,
 			IPostOperationEnabled postOperationEnabled) {
@@ -49,10 +41,6 @@ public class DeleteConceptRelationOperation extends AbstractPostTaxonOperation {
 		taxonRelationships = relations;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#execute(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -69,20 +57,12 @@ public class DeleteConceptRelationOperation extends AbstractPostTaxonOperation {
 		return postExecute(element);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#redo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#undo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/derivate/operation/DeleteDerivateOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/derivate/operation/DeleteDerivateOperation.java
index 831f117e8..5301e6f39 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/derivate/operation/DeleteDerivateOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/derivate/operation/DeleteDerivateOperation.java
@@ -31,10 +31,8 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
- *
  * @author pplitzner
  * @date Oct 21, 2014
- *
  */
 public class DeleteDerivateOperation extends AbstractPostOperation<CdmBase> {
 
@@ -53,8 +51,6 @@ public class DeleteDerivateOperation extends AbstractPostOperation<CdmBase> {
         this.treeNode = treeNode;
     }
 
-
-    /** {@inheritDoc} */
     @Override
     public IStatus execute(IProgressMonitor monitor, IAdaptable info) throws ExecutionException {
 
@@ -79,14 +75,12 @@ public class DeleteDerivateOperation extends AbstractPostOperation<CdmBase> {
         return Status.OK_STATUS;
     }
 
-    /** {@inheritDoc} */
     @Override
     public IStatus redo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException {
         //no redo possible
         return Status.CANCEL_STATUS ;
     }
 
-    /** {@inheritDoc} */
     @Override
     public IStatus undo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException {
         //no undo possible
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveContentProvider.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveContentProvider.java
index 15ee0e658..212042a66 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveContentProvider.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveContentProvider.java
@@ -32,7 +32,6 @@ import eu.etaxonomy.taxeditor.store.UsageTermCollection;
  *
  * @author p.ciardelli
  * @author n.hoffmann
- * @version $Id: $
  */
 public class DescriptiveContentProvider implements ITreeContentProvider {
 
@@ -54,10 +53,6 @@ public class DescriptiveContentProvider implements ITreeContentProvider {
 		this.showOnlyIndividualAssociations = showOnlyIndividualAssociations;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.jface.viewers.ITreeContentProvider#getChildren(java.lang.Object)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public Object[] getChildren(Object parentElement) {
 	    if(parentElement instanceof TreeNode){
@@ -159,7 +154,6 @@ public class DescriptiveContentProvider implements ITreeContentProvider {
 		return featureNodeContainerCache.get(description);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public boolean hasChildren(Object element) {
 		if (element instanceof DescriptionBase<?>){
@@ -235,7 +229,6 @@ public class DescriptiveContentProvider implements ITreeContentProvider {
         return resultDescriptions;
     }
 
-	/** {@inheritDoc} */
 	@Override
     public Object getParent(Object element) {
 	    if (element instanceof FeatureNodeContainer){
@@ -244,7 +237,6 @@ public class DescriptiveContentProvider implements ITreeContentProvider {
 		return null;
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public Object[] getElements(Object inputElement) {
 		return getChildren(inputElement);
@@ -258,7 +250,6 @@ public class DescriptiveContentProvider implements ITreeContentProvider {
 		featureNodeContainerCache.clear();
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {}
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveLabelProvider.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveLabelProvider.java
index f87c8571f..35cc7ddec 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveLabelProvider.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/DescriptiveLabelProvider.java
@@ -21,7 +21,6 @@ import eu.etaxonomy.taxeditor.model.ImageResources;
 
 /**
  * @author p.ciardelli
- * @version $Id: $
  */
 public class DescriptiveLabelProvider extends ColumnLabelProvider implements IStyledLabelProvider  {
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/FactualDataPartE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/FactualDataPartE4.java
index 2da163fd8..e54bea988 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/FactualDataPartE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/FactualDataPartE4.java
@@ -69,7 +69,6 @@ import eu.etaxonomy.taxeditor.workbench.part.ICollapsableExpandable;
 /**
  * @author pplitzner
  * @date 15.08.2017
- *
  */
 public class FactualDataPartE4 extends AbstractCdmEditorPartE4
         implements IPartContentHasDetails, IPartContentHasSupplementalData, ICdmEntitySessionEnabled,
@@ -188,7 +187,6 @@ public class FactualDataPartE4 extends AbstractCdmEditorPartE4
         return Messages.DescriptiveViewPart_FACTUAL_DATA;
     }
 
-    /** {@inheritDoc} */
     @Override
     public void changed(Object object) {
         Object[] expandedObjects = null;
